summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO58
-rw-r--r--PKGBUILD176
2 files changed, 64 insertions, 170 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 553b1b47d44..ae2a5963efe 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,59 +1,13 @@
-pkgbase = spyder-git
+pkgbase = spyder3-git
+ pkgdesc = The Scientific Python Development Environment (Python 3 version)
pkgver = 4.0.0rc1.r120.gdbc198597
pkgrel = 1
url = https://www.spyder-ide.org/
arch = any
license = MIT
- makedepends = python2-sphinx
- makedepends = python2-setuptools
- makedepends = python-sphinx
- makedepends = python-setuptools
makedepends = git
- source = spyder::git+https://github.com/spyder-ide/spyder.git
- md5sums = SKIP
-
-pkgname = spyder-git
- pkgdesc = The Scientific Python Development Environment (Python 2 version)
- depends = python2-atomicwrites
- depends = python2-chardet
- depends = python2-cloudpickle
- depends = python2-jedi
- depends = python2-keyring
- depends = python2-language-server
- depends = python2-numpydoc
- depends = python2-paramiko
- depends = python2-pexpect
- depends = python2-pickleshare
- depends = python2-psutil
- depends = python2-pycodestyle
- depends = python2-pyflakes
- depends = python2-pygments
- depends = python2-pylint
- depends = python2-pympler
- depends = python2-pyqt5
- depends = python2-pyzmq
- depends = python2-qtawesome
- depends = python2-qtconsole
- depends = python2-rope
- depends = python2-sphinx
- depends = python2-spyder-kernels
- depends = python2-watchdog
- depends = python2-xdg
- depends = python2-pathlib2
- depends = desktop-file-utils
- depends = gtk-update-icon-cache
- optdepends = cython2: run Cython files
- optdepends = python2-matplotlib: 2D/3D plotting
- optdepends = python2-numpy: N-dimensional arrays
- optdepends = python2-pandas: DataFrame and Series support
- optdepends = python2-scipy: signal/image processing
- optdepends = python2-sympy: symbolic mathematics
- optdepends = python2-h5py: HDF5 support
- provides = spyder
- conflicts = spyder
-
-pkgname = spyder3-git
- pkgdesc = The Scientific Python Development Environment (Python 3 version)
+ makedepends = python-setuptools
+ makedepends = python-sphinx
depends = jupyter-nbconvert
depends = python-atomicwrites
depends = python-chardet
@@ -93,4 +47,8 @@ pkgname = spyder3-git
optdepends = python-h5py: HDF5 support
provides = spyder3
conflicts = spyder3
+ source = spyder3-git::git+https://github.com/spyder-ide/spyder.git
+ md5sums = SKIP
+
+pkgname = spyder3-git
diff --git a/PKGBUILD b/PKGBUILD
index e5280cd0066..3cac4450c61 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,147 +1,83 @@
# Maintainer: willemw <willemw12@gmail.com>
-_pkgname2=spyder
-_pkgname3=spyder3
-pkgbase=$_pkgname2-git
-pkgname=($_pkgname2-git $_pkgname3-git)
+_pkgname=spyder3
+pkgname=$_pkgname-git
pkgver=4.0.0rc1.r120.gdbc198597
pkgrel=1
+pkgdesc="The Scientific Python Development Environment (Python 3 version)"
arch=('any')
url="https://www.spyder-ide.org/"
license=('MIT')
-makedepends=('python2-sphinx' 'python2-setuptools'
- 'python-sphinx' 'python-setuptools'
- 'git')
-source=($_pkgname2::git+https://github.com/spyder-ide/spyder.git)
+makedepends=('git' 'python-setuptools' 'python-sphinx')
+#'icu'
+depends=('jupyter-nbconvert'
+ 'python-atomicwrites'
+ 'python-chardet'
+ 'python-cloudpickle'
+ 'python-diff-match-patch'
+ 'python-jedi'
+ 'python-keyring'
+ 'python-language-server'
+ 'python-numpydoc'
+ 'python-paramiko'
+ 'python-pexpect'
+ 'python-pickleshare'
+ 'python-psutil'
+ 'python-pycodestyle'
+ 'python-pyflakes'
+ 'python-pygments'
+ 'python-pylint'
+ 'python-pympler'
+ 'python-pyqt5'
+ 'python-pyzmq'
+ 'python-qdarkstyle'
+ 'python-qtawesome'
+ 'python-qtconsole'
+ 'python-rope'
+ 'python-sphinx'
+ 'python-spyder-kernels'
+ 'python-watchdog'
+ 'python-xdg'
+
+ 'desktop-file-utils'
+ 'gtk-update-icon-cache')
+#'pyside2: Qt-Python bindings'
+optdepends=('cython: run Cython files'
+ 'python-matplotlib: 2D/3D plotting'
+ 'python-numpy: N-dimensional arrays'
+ 'python-pandas: DataFrame and Series support'
+ 'python-scipy: signal/image processing'
+ 'python-sympy: symbolic mathematics'
+
+ 'python-h5py: HDF5 support')
+provides=($_pkgname)
+conflicts=($_pkgname)
+source=($pkgname::git+https://github.com/spyder-ide/spyder.git)
md5sums=('SKIP')
pkgver() {
- cd $_pkgname2
+ cd $pkgname
git describe --long | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
}
prepare() {
- find $_pkgname2 -type f -iname \*.py -exec sed -i -e 's|"pep8"|"pycodestyle"|g' -e "s|'pep8'|'pycodestyle'|g" '{}' \;
-
- rm -rf $_pkgname3
- cp -a $_pkgname2 $_pkgname3
+ find $pkgname -type f -iname \*.py -exec sed -i -e 's|"pep8"|"pycodestyle"|g' -e "s|'pep8'|'pycodestyle'|g" '{}' \;
}
build() {
- cd "$srcdir/$_pkgname2"
- python2 setup.py build
-
- cd "$srcdir/$_pkgname3"
+ cd $pkgname
python setup.py build
}
-package_spyder-git() {
- pkgdesc="The Scientific Python Development Environment (Python 2 version)"
- # Note: 'ipython2-notebook' nor 'jupyter'/'jupyter-nbconvert' contain a Python 2 version of Nbconvert
- #'icu'
- #TODO 'python2-qdarkstyle'
- #TODO 'python2-diff-match-patch'
- depends=('python2-atomicwrites'
- 'python2-chardet'
- 'python2-cloudpickle'
- 'python2-jedi'
- 'python2-keyring'
- 'python2-language-server'
- 'python2-numpydoc'
- 'python2-paramiko'
- 'python2-pexpect'
- 'python2-pickleshare'
- 'python2-psutil'
- 'python2-pycodestyle'
- 'python2-pyflakes'
- 'python2-pygments'
- 'python2-pylint'
- 'python2-pympler'
- 'python2-pyqt5'
- 'python2-pyzmq'
- 'python2-qtawesome'
- 'python2-qtconsole'
- 'python2-rope'
- 'python2-sphinx'
- 'python2-spyder-kernels'
- 'python2-watchdog'
- 'python2-xdg'
-
- 'python2-pathlib2'
-
- 'desktop-file-utils'
- 'gtk-update-icon-cache')
- #'python2-pyside2: Qt-Python bindings'
- optdepends=('cython2: run Cython files'
- 'python2-matplotlib: 2D/3D plotting'
- 'python2-numpy: N-dimensional arrays'
- 'python2-pandas: DataFrame and Series support'
- 'python2-scipy: signal/image processing'
- 'python2-sympy: symbolic mathematics'
+package() {
+ cd $pkgname
- 'python2-h5py: HDF5 support')
- provides=($_pkgname2)
- conflicts=($_pkgname2)
-
- cd $_pkgname2
- python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
- # Install a scalable icon for the spyder.desktop file
- install -Dm644 spyder/images/spyder.svg "$pkgdir/usr/share/icons/hicolor/scalable/apps/spyder.svg"
- install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/$_pkgname2/LICENSE.txt"
- rm -f "$pkgdir/usr/bin/spyder_win_post_install.py"
-}
-
-package_spyder3-git() {
- pkgdesc="The Scientific Python Development Environment (Python 3 version)"
- #'icu'
- depends=('jupyter-nbconvert'
- 'python-atomicwrites'
- 'python-chardet'
- 'python-cloudpickle'
- 'python-diff-match-patch'
- 'python-jedi'
- 'python-keyring'
- 'python-language-server'
- 'python-numpydoc'
- 'python-paramiko'
- 'python-pexpect'
- 'python-pickleshare'
- 'python-psutil'
- 'python-pycodestyle'
- 'python-pyflakes'
- 'python-pygments'
- 'python-pylint'
- 'python-pympler'
- 'python-pyqt5'
- 'python-pyzmq'
- 'python-qdarkstyle'
- 'python-qtawesome'
- 'python-qtconsole'
- 'python-rope'
- 'python-sphinx'
- 'python-spyder-kernels'
- 'python-watchdog'
- 'python-xdg'
-
- 'desktop-file-utils'
- 'gtk-update-icon-cache')
- #'pyside2: Qt-Python bindings'
- optdepends=('cython: run Cython files'
- 'python-matplotlib: 2D/3D plotting'
- 'python-numpy: N-dimensional arrays'
- 'python-pandas: DataFrame and Series support'
- 'python-scipy: signal/image processing'
- 'python-sympy: symbolic mathematics'
-
- 'python-h5py: HDF5 support')
- provides=($_pkgname3)
- conflicts=($_pkgname3)
-
- cd $_pkgname3
python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+
+ install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/$_pkgname/LICENSE.txt"
# Install a scalable icon for the spyder3.desktop file
install -Dm644 spyder/images/spyder.svg "$pkgdir/usr/share/icons/hicolor/scalable/apps/spyder3.svg"
- install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/$_pkgname3/LICENSE.txt"
+
rm -f "$pkgdir/usr/bin/spyder_win_post_install.py"
}